<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="cn.net.communal.cpzshandset"
    android:versionCode="1"
    android:versionName="1.2.0" >


    <!-- 安装权限 -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.RUN_INSTRUMENTATION" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.VIBRATE" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.GET_TASKS" />

    <application
        android:name=".MyHandsetApp"
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:usesCleartextTraffic="true"
        android:theme="@style/AppTheme" >
        <activity
            android:name=".ui.activity.SplashActivity"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.activity.HomeActivity"
            android:launchMode="singleTask" >

            <!--
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

            -->

        </activity>
        <activity android:name=".test.TestActivity" >

            <!--
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>


            -->
        </activity>
        <activity
            android:name="cn.jymf.scan.CaptureActivity"
            android:configChanges="orientation|keyboardHidden"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
            android:windowSoftInputMode="stateAlwaysHidden" >
        </activity>
        <activity
            android:name=".ui.activity.OptionHistoryListStyleActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.ActivateConfigActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.SettingActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.DeviceIdConfigActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.ProductDetailListActivity"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.PackConfigActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.UnpackActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.WarehouseConfigActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.SaleConfigActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.SingleLabelScannerActivity"
            android:launchMode="singleTop" >

            <!-- 王哥测试使用 -->
            <!--
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

            -->
        </activity>
        <activity
            android:name=".ui.activity.BatchLabelScannerActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.ProductDetailGvActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.JianCeActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.UploadStatusActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.ModifyHandsetVersionActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.TrainInvoiceConfigActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.ChoiceAddressStyleActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.ShipmentScannerActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.TruckInvoiceConfigActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.TruckInvoiceInputStyleConfigActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.SearchByInputStyleActivity"
            android:windowSoftInputMode="adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.ShipmentSingleScannerActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name="cn.net.communal.cpzshandset.ui.activity.QueryActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".ui.activity.LoginActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.ExchangeCargoConfigActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.InputQRCodeActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.OptionSubListStyleActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.CheckLabelStatusActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".common.bitmap.crop.ContractImageActivity"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Black.NoTitleBar" >
        </activity>
        <activity
            android:name=".common.bitmap.crop.CropImageActivity"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Black.NoTitleBar" >
        </activity>
        <activity
            android:name=".ui.activity.CarNoDetailListActivity"
            android:launchMode="singleTop"
            android:windowSoftInputMode="adjustPan|stateHidden" >
        </activity>
        <activity
            android:name=".ui.activity.CarSaleConfigActivity"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name=".ui.activity.CarLingLiaoChuKuAvtivity"
            android:launchMode="singleTop" >
        </activity>

        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="cn.net.communal.cpzshandset.pro.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true" >
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>

</manifest>